Configuring the computations

### 3.5.7 Configuring the computations

You can configure how Xcas computes by using the menu item Cfg▸Cas configuration or by clicking on the status line. You will then be given a window in which you can change the following options:

- Prog style (default: Xcas)
  You will have a menu from which you can choose a different language to program in; you can choose from Xcas, Xcas (Python), Maple, Mupad and TI89/92.
- eval (default: 25)
  You can type in a positive integer indicating the maximum number of recursions allowed when evaluating expressions.
- prog (default: 1)
  You can type in a positive integer indicating the maximum number of recursions allowed when executing programs.
- recurs (default: 100)
  You can type in a positive integer indicating the maximum number of recursive calls.
- debug (default: 0)
  You can type in an integer, 0 or 1. If this is 1, then Xcas will display intermediate information on the algorithms used by giac. If this number is 0, then no such information is displayed.
- maxiter (default: 20)
  You can type in an integer indicating the maximum number of iterations in Newton’s method.
- Float format (default: standard)
  You will have a menu from which you can choose how to display decimal numbers. Your choices will be:
  - standard In standard notation, a number will be written out completely without using exponentials; for example, 15000.12 will be displayed as 15000.12.
  - scientific In scientific notation, a number will be written as a number between 1 and 10 times a power of ten; for example, 15000.12 will be displayed as 1.500012000000e+04 (where the number after e indicates the power of 10).
  - engineer In engineer notation, a number will be written as a number between 1 and 1000 times a power of ten, where the power of 10 is a multiple of three. For example, 15000.12 will be displayed as 15.00012e3.
- Digits (default: 12)
  You can enter a positive integer which will indicate the number of significant digits.
- epsilon (default: 1e-12)
  You can enter a floating point number which will be the value of epsilon used by epsilon2zero, which is a function which replaces numbers with absolute value less than epsilon by 0.
- proba (default: 1e-15)
  You can enter a floating point number. If this number is greater than zero, then in some cases giac can use probabilistic algorithms and give a result with probability of being false less than this value. (One such example of a probabilistic algorithm that giac can use is the algorithm to compute the determinant of a large matrix with integer coefficients.)
- approx (default: unchecked)
  You will be given a checkbox. If the box is checked, then exact numbers such as √2 will be given a floating point approximation. If the box in unchecked, then exact values will be used when possible.
- autosimplify (default: 1)
  You can enter a simplification level of 0, 1 or 2. A value of 0 means no automatic simplification will be done, a value of 1 means grouped simplification will be automatic. A value of 2 means that all simplification will be automatic.
- threads (default: 1)
  You can enter a positive integer to indicate the number of threads (for a possible future threaded version).
- Integer basis (default: 10)
  You will be given a menu from which you can choose an integer base to work in; your choices will be 8, 10 and 16.
- radian (default: checked)
  You will be given a checkbox. If the box is checked, then angles will be measured in radians, otherwise they will be measured in degrees.
- Complex (default: unchecked)
  You will be given a checkbox. If this box is checked, then giac will work in complex mode, meaning, for example, that polynomials will be factored with complex numbers if necessary.
- Cmplx_var (default: unchecked)
  You will be given a checkbox. If this box is checked, then variables will by default be assumed to be complex. For example, the expression re(z) won’t be simplified to simply z. If this box is unchecked, then re(z) will be simplified to z.
- increasing power (default: unchecked)
  You will be given a checkbox. If this box is checked, then polynomials will be written out in increasing powers of the variable; otherwise they will be written in decreasing powers.
- All_trig_sol (default: unchecked)
  You will be given a checkbox. If this box is unchecked, then only the primary solutions of trigonometric equations will be given. For example, the solutions of cos(x)=0 will be the pair [-pi/2,pi/2]. If this box is checked, then the solutions of cos(x)=0 will be [(2*n_0*pi + pi)/2], where n_0 can be any integer.
- Sqrt (default: checked)
  You will be given a checkbox. If this box is checked, then the factor command will factor second degree polynomials, even when the roots are not in the field determined by the coefficients. For example, factor(x^2 - 3) will return (x - sqrt(3))*(x + sqrt(3)). If this box is unchecked, then factor(x^2 - 3) will return x^2 - 3.

This page will also have buttons for applying the settings, saving the settings for future sessions, canceling any new settings, or restoring the default settings.